# sudo-approve-command

A plugin for [sudo](https://www.sudo.ws/) that prints information about the
command that is to be run and allows you to approve or reject running it.

Useful for tools that (think that they) need to run as root and just call sudo
themselves.

## Usage

```sh
sudo dnf install sudo-devel  # or equivalent

meson setup -Dbuildtype=release _build
meson compile -C _build
meson install -C _build

sudoedit /etc/sudo.conf
# Insert: Plugin approve_command approve_command.so
# You may need to specify the absolute path to approve_command.so
```
